Skip to main content
System Global/License
DELETELicenseSince 0.6SynchronousAuth Required

Delete License

Delete License

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • uuidString

    The UUID of the resource. Uniquely identifies the resource.

  • managementNodeUuidStringRequired

    The UUID of the management node

Body Fields

  • systemTagsList

    系统标签。

  • userTagsList

    用户标签。

Responses

DELETE endpoints return an empty object on success, or a standard error structure on failure.

Success Response

{}

Error Response

{
  "error": {
    "code": "SYS.1001",
    "description": "A message or a operation timeout",
    "details": "Delete resource timeout after 300s"
  }
}

Endpoint

DELETE/v1/licenses/mn/{managementNodeUuid}/actions?uuid={uuid}

/v1/licenses/mn/{managementNodeUuid}/actions?uuid={uuid}

Operation ID

DeleteLicense

Permalink

Request Example

curl -X DELETE 'http://{host}/v1/licenses/mn/{managementNodeUuid}/actions?uuid={uuid}' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{}

Change History

This API has no change history records yet.

View all change history